//importing required modules
import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';
//iris dataset
const csvUrl = 'https://gist.githubusercontent.com/Rajayaswanthvarma/162e437a4228a2f4356d8e224447d001/raw/c9467e2276d47939e9c4b06b740051946ba16436/ICE6_dogbreeds.csv'
const parseRow = (d) => {
  d.max_height_male = +d.max_height_male;
  d.max_height_female = +d.max_height_female;
  d.max_weight_male = +d.max_weight_male;
  d.petal_width = +d.petal_width;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight - 100;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);
//main function
const main = async () => {
  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(await csv(csvUrl, parseRow))
    .xValue((d) => d.petal_width)
    .yValue((d) => d.max_height_male)
    .margin({
      top: 20,
      right: 20,
      bottom: 40,
      left: 50,
    })
    .radius(5);

  svg.call(plot);
//setting dynamic axes
  const columns = [
    'petal_width',
    'max_height_female',
    'max_weight_male',
    'max_height_male',
  ];
  let i = 0;
  setInterval(() => {
    plot.xValue((d) => d[columns[i % columns.length]]);
    svg.call(plot);
    i++;
  }, 10000);
};
main();



